Loading...
Searching...
No Matches
axpy: Add vectors
Dense LA » MAGMA BLAS and Auxiliary » Level 1: vectors operations, O(n) work

\(y = \alpha x + y\) More...

## Functions

void | magma_caxpy (magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr dx, magma_int_t incx, magmaFloatComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
| Constant times a vector plus a vector; \( y = \alpha x + y \).
void | magma_daxpy (magma_int_t n, double alpha, magmaDouble_const_ptr dx, magma_int_t incx, magmaDouble_ptr dy, magma_int_t incy, magma_queue_t queue)
| Constant times a vector plus a vector; \( y = \alpha x + y \).
void | magma_saxpy (magma_int_t n, float alpha, magmaFloat_const_ptr dx, magma_int_t incx, magmaFloat_ptr dy, magma_int_t incy, magma_queue_t queue)
| Constant times a vector plus a vector; \( y = \alpha x + y \).
void | magma_zaxpy (magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr dx, magma_int_t incx, magmaDoubleComplex_ptr dy, magma_int_t incy, magma_queue_t queue)
| Constant times a vector plus a vector; \( y = \alpha x + y \).

## Detailed Description

\(y = \alpha x + y\)

## Function Documentation

## magma_caxpy()

void magma_caxpy | ( | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Constant times a vector plus a vector; \( y = \alpha x + y \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_daxpy()

void magma_daxpy | ( | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDouble_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Constant times a vector plus a vector; \( y = \alpha x + y \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | DOUBLE PRECISION array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_saxpy()

void magma_saxpy | ( | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloat_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Constant times a vector plus a vector; \( y = \alpha x + y \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | REAL array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zaxpy()

void magma_zaxpy | ( | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_ptr | dy,
|  | magma_int_t | incy,
|  | magma_queue_t | queue )

Constant times a vector plus a vector; \( y = \alpha x + y \).

Parameters

  [in] | n | Number of elements in vectors x and y. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in,out] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in] | queue | magma_queue_t Queue to execute in.